Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Interface FirebirdConnectionProperties

All Superinterfaces:
  `AttachmentProperties`, `BaseProperties`, `DatabaseConnectionProperties`

All Known Implementing Classes:
  `AbstractConnectionPropertiesDataSource`, `FBAbstractCommonDataSource`, `FBConnectionPoolDataSource`, `FBConnectionProperties`, `FBManagedConnectionFactory`, `FBSimpleDataSource`, `FBXADataSource`

public interface FirebirdConnectionProperties extends DatabaseConnectionProperties
Connection properties for the Firebird connection. Main part of this interface corresponds to the Database Parameter Buffer, but also contains properties to specify default transaction parameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TransactionParameterBuffer`
  `getTransactionParameters(int isolation)`
  Get the transaction parameter buffer corresponding to the current connection request information.
  `default String`
  `getUserName()`
  Deprecated.
  Use `AttachmentProperties.getUser()` instead; will be retained indefinitely for compatibility
  `void`
  `setNonStandardProperty(String propertyMapping)`
  Set the property that does not have corresponding setter method.
  `void`
  `setTransactionParameters(int isolation, TransactionParameterBuffer tpb)`
  Set transaction parameters for the specified transaction isolation level.
  `default void`
  `setUserName(String userName)`
  Deprecated.
  Use `AttachmentProperties.setUser(String)`; will be retained indefinitely for compatibility

  ### Methods inherited from interface org.firebirdsql.jaybird.props.AttachmentProperties

  `getAuthPlugins, getCharSet, getConnectTimeout, getDbCryptConfig, getEnableProtocol, getEncoding, getParallelWorkers, getPassword, getPortNumber, getProcessId, getProcessName, getRoleName, getServerName, getSocketBufferSize, getSocketFactory, getSoTimeout, getType, getUser, getWireCrypt, isWireCompression, setAuthPlugins, setCharSet, setConnectTimeout, setDbCryptConfig, setEnableProtocol, setEncoding, setParallelWorkers, setPassword, setPortNumber, setProcessId, setProcessName, setRoleName, setServerName, setSocketBufferSize, setSocketFactory, setSoTimeout, setType, setUser, setWireCompression, setWireCrypt`

  ### Methods inherited from interface org.firebirdsql.jaybird.props.BaseProperties

  `connectionPropertyValues, getBooleanProperty, getBooleanProperty, getIntProperty, getIntProperty, getProperty, getProperty, setBooleanProperty, setIntProperty, setProperty`

  ### Methods inherited from interface org.firebirdsql.jaybird.props.DatabaseConnectionProperties

  `getBlobBufferSize, getDatabaseName, getDataTypeBind, getDecfloatRound, getDecfloatTraps, getDefaultIsolation, getDefaultTransactionIsolation, getGeneratedKeysEnabled, getMaxBlobCacheSize, getMaxInlineBlobSize, getPageCacheSize, getReportSQLWarnings, getScrollableCursor, getServerBatchBufferSize, getSessionTimeZone, getSqlDialect, getTpbMapping, isAllowTxStmts, isAsyncFetch, isColumnLabelForName, isCreateDatabaseIfNotExist, isDefaultResultSetHoldable, isExtendedMetadata, isIgnoreProcedureType, isUseCatalogAsPackage, isUseFirebirdAutocommit, isUseServerBatch, isUseStreamBlobs, setAllowTxStmts, setAsyncFetch, setBlobBufferSize, setColumnLabelForName, setCreateDatabaseIfNotExist, setDatabaseName, setDataTypeBind, setDecfloatRound, setDecfloatTraps, setDefaultIsolation, setDefaultResultSetHoldable, setDefaultTransactionIsolation, setExtendedMetadata, setGeneratedKeysEnabled, setIgnoreProcedureType, setMaxBlobCacheSize, setMaxInlineBlobSize, setPageCacheSize, setReportSQLWarnings, setScrollableCursor, setServerBatchBufferSize, setSessionTimeZone, setSqlDialect, setTpbMapping, setUseCatalogAsPackage, setUseFirebirdAutocommit, setUseServerBatch, setUseStreamBlobs`

- ## Method Details

  - ### getUserName

    @Deprecated(since="5") default String getUserName()
    Deprecated.
    Use `AttachmentProperties.getUser()` instead; will be retained indefinitely for compatibility
    Returns:
      name of the user that will be used when connecting to the database.

  - ### setUserName

    @Deprecated(since="5") default void setUserName(String userName)
    Deprecated.
    Use `AttachmentProperties.setUser(String)`; will be retained indefinitely for compatibility
    Parameters:
      `userName` - name of the user that will be used when connecting to the database.

  - ### setNonStandardProperty

    void setNonStandardProperty(String propertyMapping)
    Set the property that does not have corresponding setter method.
    Parameters:
      `propertyMapping` - parameter value in the `propertyName[=propertyValue]` form, this allows setting non-standard parameters using configuration files.

  - ### getTransactionParameters

    TransactionParameterBuffer getTransactionParameters(int isolation)
    Get the transaction parameter buffer corresponding to the current connection request information.
    Parameters:
      `isolation` - transaction isolation level for which TPB should be returned.
    Returns:
      instance of `TransactionParameterBuffer`.

  - ### setTransactionParameters

    void setTransactionParameters(int isolation, TransactionParameterBuffer tpb)
    Set transaction parameters for the specified transaction isolation level. The specified TPB is used as a default mapping for the specified isolation level.
    Parameters:
      `isolation` - transaction isolation level.
      `tpb` - instance of `TransactionParameterBuffer` containing transaction parameters.